summaryrefslogtreecommitdiff
path: root/TRNS/run.sh
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2023-11-20 16:04:48 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2023-11-20 16:04:48 +0100
commit3d34449efeb67a20865822aeb4adf1d1eb7ffb3f (patch)
tree16ebecafdfcd74e8146555acb8e5e48bdbd46dcf /TRNS/run.sh
parenta991be525c044a7795a82076e60946bda3c6e408 (diff)
TRNS dpu: Include reconfiguration overhead; fix timer resets in inner loop
Diffstat (limited to 'TRNS/run.sh')
-rwxr-xr-xTRNS/run.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/TRNS/run.sh b/TRNS/run.sh
new file mode 100755
index 0000000..ef6f71e
--- /dev/null
+++ b/TRNS/run.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i: input size (number of elements, not number of bytes!)
+
+(
+
+echo "prim-benchmarks TRNS (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 1 4 8 16 32 64 128 256 512 768 1024 1536 2048; do
+ for nr_tasklets in 8 12 16 20 24; do
+ # 12288 run-paper-weak, run-paper-strong-full
+ for i in 12288; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
+ # upstream uses -p 2048 in strong-full, but then the number of DPUs is always constant...
+ timeout --foreground -k 1m 90m bin/host_code -w 0 -e 40 -p $nr_dpus -o 12288 -x 1 || true
+ fi
+ done
+ done
+done
+) | tee "log-$(hostname).txt"